EasyMock (EasyMockClassExtension)
Date: 2008-08-30

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock.classextension
Class EasyMock

    java.lang.Object
      org.easymock.EasyMock
          org.easymock.classextension.EasyMock

    public class EasyMock

extends org.easymock.EasyMock

Constructor Summary
`EasyMock()`

Method Summary
`static void` | `checkOrder(java.lang.Object mock, boolean value)`
`static IMocksControl` | `createControl()`
`static
`<T> T`
` | `createMock(java.lang.Class<T> toMock)`
`static
`<T> T`
` | `createMock(java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)`
`static
`<T> T`
` | `createMock(java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)`
`static
`<T> T`
` | `createMock(java.lang.String name, java.lang.Class<T> toMock)`
`static
`<T> T`
` | `createMock(java.lang.String name, java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)`
`static
`<T> T`
` | `createMock(java.lang.String name, java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)`
`static IMocksControl` | `createNiceControl()`
`static
`<T> T`
` | `createNiceMock(java.lang.Class<T> toMock)`
`static
`<T> T`
` | `createNiceMock(java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)`
`static
`<T> T`
` | `createNiceMock(java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)`
`static
`<T> T`
` | `createNiceMock(java.lang.String name, java.lang.Class<T> toMock)`
`static
`<T> T`
` | `createNiceMock(java.lang.String name, java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)`
`static
`<T> T`
` | `createNiceMock(java.lang.String name, java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)`
`static IMocksControl` | `createStrictControl()`
`static
`<T> T`
` | `createStrictMock(java.lang.Class<T> toMock)`
`static
`<T> T`
` | `createStrictMock(java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)`
`static
`<T> T`
` | `createStrictMock(java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)`
`static
`<T> T`
` | `createStrictMock(java.lang.String name, java.lang.Class<T> toMock)`
`static
`<T> T`
` | `createStrictMock(java.lang.String name, java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)`
`static
`<T> T`
` | `createStrictMock(java.lang.String name, java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)`
`static void` | `makeThreadSafe(java.lang.Object mock, boolean threadSafe)`
`static void` | `replay(java.lang.Object... mocks)`
`static void` | `reset(java.lang.Object... mocks)`
`static void` | `resetToDefault(java.lang.Object... mocks)`
`static void` | `resetToNice(java.lang.Object... mocks)`
`static void` | `resetToStrict(java.lang.Object... mocks)`
`static void` | `verify(java.lang.Object... mocks)`

Methods inherited from class org.easymock.EasyMock
`and, and, and, and, and, and, and, and, and, anyBoolean, anyByte, anyChar, anyDouble, anyFloat, anyInt, anyLong, anyObject, anyShort, aryEq, aryEq, aryEq, aryEq, aryEq, aryEq, aryEq, aryEq, aryEq, capture, capture, capture, capture, capture, capture, capture, cmp, cmpEq, contains, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, expect, expectLastCall, find, geq, geq, geq, geq, geq, geq, geq, getCurrentArguments, gt, gt, gt, gt, gt, gt, gt, isA, isNull, leq, leq, leq, leq, leq, leq, leq, lt, lt, lt, lt, lt, lt, lt, matches, not, not, not, not, not, not, not, not, not, notNull, or, or, or, or, or, or, or, or, or, reportMatcher, same, startsWith`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EasyMock

    public EasyMock()

Method Detail

### createStrictMock

    public static <T> T createStrictMock(java.lang.Class<T> toMock)

### createStrictMock

    public static <T> T createStrictMock(java.lang.String name,
                                         java.lang.Class<T> toMock)

### createStrictMock

    public static <T> T createStrictMock(java.lang.Class<T> toMock,
                                         java.lang.reflect.Method... mockedMethods)

### createStrictMock

    public static <T> T createStrictMock(java.lang.String name,
                                         java.lang.Class<T> toMock,
                                         java.lang.reflect.Method... mockedMethods)

### createStrictMock

    public static <T> T createStrictMock(java.lang.Class<T> toMock,
                                         ConstructorArgs constructorArgs,
                                         java.lang.reflect.Method... mockedMethods)

### createStrictMock

    public static <T> T createStrictMock(java.lang.String name,
                                         java.lang.Class<T> toMock,
                                         ConstructorArgs constructorArgs,
                                         java.lang.reflect.Method... mockedMethods)

### createMock

    public static <T> T createMock(java.lang.Class<T> toMock)

### createMock

    public static <T> T createMock(java.lang.String name,
                                   java.lang.Class<T> toMock)

### createMock

    public static <T> T createMock(java.lang.Class<T> toMock,
                                   java.lang.reflect.Method... mockedMethods)

### createMock

    public static <T> T createMock(java.lang.String name,
                                   java.lang.Class<T> toMock,
                                   java.lang.reflect.Method... mockedMethods)

### createMock

    public static <T> T createMock(java.lang.Class<T> toMock,
                                   ConstructorArgs constructorArgs,
                                   java.lang.reflect.Method... mockedMethods)

### createMock

    public static <T> T createMock(java.lang.String name,
                                   java.lang.Class<T> toMock,
                                   ConstructorArgs constructorArgs,
                                   java.lang.reflect.Method... mockedMethods)

### createNiceMock

    public static <T> T createNiceMock(java.lang.Class<T> toMock)

### createNiceMock

    public static <T> T createNiceMock(java.lang.String name,
                                       java.lang.Class<T> toMock)

### createNiceMock

    public static <T> T createNiceMock(java.lang.Class<T> toMock,
                                       java.lang.reflect.Method... mockedMethods)

### createNiceMock

    public static <T> T createNiceMock(java.lang.String name,
                                       java.lang.Class<T> toMock,
                                       java.lang.reflect.Method... mockedMethods)

### createNiceMock

    public static <T> T createNiceMock(java.lang.Class<T> toMock,
                                       ConstructorArgs constructorArgs,
                                       java.lang.reflect.Method... mockedMethods)

### createNiceMock

    public static <T> T createNiceMock(java.lang.String name,
                                       java.lang.Class<T> toMock,
                                       ConstructorArgs constructorArgs,
                                       java.lang.reflect.Method... mockedMethods)

### createStrictControl

    public static IMocksControl createStrictControl()

### createControl

    public static IMocksControl createControl()

### createNiceControl

    public static IMocksControl createNiceControl()

### replay

    public static void replay(java.lang.Object... mocks)

### reset

    public static void reset(java.lang.Object... mocks)

### resetToNice

    public static void resetToNice(java.lang.Object... mocks)

### resetToDefault

    public static void resetToDefault(java.lang.Object... mocks)

### resetToStrict

    public static void resetToStrict(java.lang.Object... mocks)

### verify

    public static void verify(java.lang.Object... mocks)

### checkOrder

    public static void checkOrder(java.lang.Object mock,
                                  boolean value)

### makeThreadSafe

    public static void makeThreadSafe(java.lang.Object mock,
                                      boolean threadSafe)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 OFFIS, Henri Tremblay. This documentation is provided under the terms of the MIT licence.